Bug 404081 - [te_IN] Need to map a key stroke for charecter 0c03(ః) in te-inscript key map.
[te_IN] Need to map a key stroke for charecter 0c03(ః) in te-inscript key map.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-contrib (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 426194
  Show dependency treegraph
 
Reported: 2007-11-29 04:09 EST by Krishna Babu K
Modified: 2008-01-14 01:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 01:26:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for te-inscript.mim (330 bytes, text/x-patch)
2007-12-18 07:12 EST, Parag Nemade
no flags Details

  None (edit)
Description Krishna Babu K 2007-11-29 04:09:19 EST
Description of problem:
There is no key stroke for the charecter 0c03=ః in te inscript key map.

Version-Release number of selected component (if applicable):
m17n-db-telugu-1.3.3-46.el5


How reproducible:
maintain SCIM in RAWCODE and give the unicode value 0c03 in gedit.

Steps to Reproduce:
1.Open Gedit.
2.Active the SCIM for RAWCODE and give the unicode value 0c03.
3.For represented charecter i.e 0c03=ః there is no key stroke in te inscript key
map.
  
Actual results:

For using 0c03=ః there is no key stroke in te inscript key map.
Expected results:

There is one key is empty in inscript key map which we are not using oftenly in
Telugu translation.i.e \(back slash).we can spposed to map that for 0c03=ః
charecter.

Additional info:
Comment 1 Krishna Babu K 2007-11-30 01:34:20 EST
Version-Release number of selected component should be read as
m17n-contrib-telugu-1.1.3-3.fc8
Comment 2 Parag Nemade 2007-12-18 06:18:41 EST
mapping this 0C03 unicode on empty slot of key V.
Comment 3 Parag Nemade 2007-12-18 07:12:57 EST
Created attachment 289883 [details]
patch for te-inscript.mim
Comment 4 Parag Nemade 2007-12-18 07:16:49 EST
Fixed in new release m17n-contrib-1.1.3-4.fc9

Fix can be down loadable from
http://koji.fedoraproject.org/koji/getfile?taskID=298501&name=m17n-contrib-telugu-1.1.3-4.fc9.noarch.rpm
Comment 5 Jens Petersen 2007-12-19 00:33:58 EST
(In reply to comment #0)
> i.e \(back slash).we can supposed to map that for 0c03=ః charecter.

What was the meaning of "backslash" here by the way?

(In reply to comment #2)
> mapping this 0C03 unicode on empty slot of key V.

Comment 6 Parag Nemade 2007-12-19 01:49:05 EST
(In reply to comment #5)
> (In reply to comment #0)
> > i.e \(back slash).we can supposed to map that for 0c03=ః charecter.
> 
> What was the meaning of "backslash" here by the way?
> 
previously telugu LM suggested to map unicode 0c03 on backslash key(key above
Enter key and key which in normal mode prints pipe |) on keyboard map.
But, as I found we have empty slot of key V which used to print V(English letter
V), I decided to commit that fix then.

> (In reply to comment #2)
> > mapping this 0C03 unicode on empty slot of key V.
 empty slot here I mean, no telugu character is mapped on V English key character.
Comment 7 Krishna Babu K 2007-12-19 05:20:20 EST
Thank you. I got expected key stroke  for the charechter 0c03 in te-inscript key
map.
Comment 8 A S Alam 2008-01-14 01:26:32 EST
it is there. Tested with following RPM:
m17n-db-telugu-1.5.0-1.fc9

Note You need to log in before you can comment on or make changes to this bug.